| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::structured_light::SinusoidalPattern::Params Struct Reference

Parameters of SinusoidalPattern constructor. More...

`#include <opencv2/structured_light/sinusoidalpattern.hpp>`

## Public Member Functions
| Params ()

## Public Attributes
int | height
bool | horizontal
std::vector< Point2f > | markersLocation
int | methodId
int | nbrOfPeriods
int | nbrOfPixelsBetweenMarkers
bool | setMarkers
float | shiftValue
int | width

## Detailed Description

Parameters of SinusoidalPattern constructor.

Parameters

  width | Projector's width.
  height | Projector's height.
  nbrOfPeriods | Number of period along the patterns direction.
  shiftValue | Phase shift between two consecutive patterns.
  methodId | Allow to choose between FTP, PSP and FAPS.
  nbrOfPixelsBetweenMarkers | Number of pixels between two consecutive markers on the same row.
  setMarkers | Allow to set markers on the patterns.
  markersLocation | vector used to store markers location on the patterns.

## Constructor & Destructor Documentation

## § Params()

cv::structured_light::SinusoidalPattern::Params::Params | ( |  | ) |

## Member Data Documentation

## § height

int cv::structured_light::SinusoidalPattern::Params::height

## § horizontal

bool cv::structured_light::SinusoidalPattern::Params::horizontal

## § markersLocation

std::vector<Point2f> cv::structured_light::SinusoidalPattern::Params::markersLocation

## § methodId

int cv::structured_light::SinusoidalPattern::Params::methodId

## § nbrOfPeriods

int cv::structured_light::SinusoidalPattern::Params::nbrOfPeriods

## § nbrOfPixelsBetweenMarkers

int cv::structured_light::SinusoidalPattern::Params::nbrOfPixelsBetweenMarkers

## § setMarkers

bool cv::structured_light::SinusoidalPattern::Params::setMarkers

## § shiftValue

float cv::structured_light::SinusoidalPattern::Params::shiftValue

## § width

int cv::structured_light::SinusoidalPattern::Params::width

The documentation for this struct was generated from the following file:

- opencv2/structured_light/sinusoidalpattern.hpp